# Hide or unhide an ad comment

Hides or unhides an ad comment. Works with TikTok Ads.

```http
POST https://api.pozy.ai/v1/ads/{adId}/comments/{commentId}/hide
```

- Area: Ads / Ad Accounts
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `adId` (string, required)
- `commentId` (string, required)

## Query parameters

- `since` (string (date))
- `until` (string (date))

## Request body

Content type: `application/json`

- `hidden`, boolean, required

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/ads/6f40fa2fb0a7e728dd1a73b7/comments/6cc7605fa43607e4ad43b1d4/hide" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "hidden": true
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/6f40fa2fb0a7e728dd1a73b7/comments/6cc7605fa43607e4ad43b1d4/hide", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    hidden: true
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/ads/6f40fa2fb0a7e728dd1a73b7/comments/6cc7605fa43607e4ad43b1d4/hide",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "hidden": True,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `status`, string, required: One of `success`
- `commentId`, string, required
- `hidden`, boolean

```json
{
  "status": "success",
  "commentId": "6cc7605fa43607e4ad43b1d4",
  "hidden": true
}
```
